[jira] [Closed] (GROOVY-8646) Bump picocli version to 3.1.0 from 3.0.2

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Closed] (GROOVY-8646) Bump picocli version to 3.1.0 from 3.0.2

JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/GROOVY-8646?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Remko Popma closed GROOVY-8646.
-------------------------------
    Resolution: Done

> Bump picocli version to 3.1.0 from 3.0.2
> ----------------------------------------
>
>                 Key: GROOVY-8646
>                 URL: https://issues.apache.org/jira/browse/GROOVY-8646
>             Project: Groovy
>          Issue Type: Dependency upgrade
>          Components: command line processing
>    Affects Versions: 2.5.0
>            Reporter: Remko Popma
>            Priority: Major
>             Fix For: 2.5.1
>
>
> Picocli [3.1.0|https://github.com/remkop/picocli/releases/tag/v3.1.0] fixes a bug where an AnnotationFormatError "Duplicate annotation for class" occurred on Groovy scripts annotated with with @PicocliScript when the script contains classes.  This release also adds support for command aliases.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)